Bug Hunting Session
Bug 34837 - Merged Cell's borders vanishes when changing sheet direction to (Right-To-Left)
Summary: Merged Cell's borders vanishes when changing sheet direction to (Right-To-Left)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Cell-Border Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2011-02-28 07:57 UTC by hussain
Modified: 2019-09-26 13:12 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug example (13.06 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-02-28 07:57 UTC, hussain
Details
Comment 6: Bug Example after bug reproduction (10.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-01 19:46 UTC, Omer Zak
Details
up-to-date example of bug manifestionation (15.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-09-17 16:38 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hussain 2011-02-28 07:57:58 UTC
Created attachment 43932 [details]
Bug example

When you select for example 3 cell's in a row and merge them ,then go to Format
> cells , from the cells format select Borders tab:
- For line arrangement select "Set All Four Borders"
- For line style select "1.10 pt"
- Click "OK"
You will get the cell borders and everything is fine.

Go to Format > Sheet and select "Right-To-Lift"

You will notice the borders you selected before vanished.

I have made a sample sheet for testing, you can find it in the attachment.

You will notice that the issue just happens with merged cells but if you
applied
the borders to one cell only the borders will not disappears.
Comment 1 Cédric Bosdonnat 2011-03-01 01:55:17 UTC
Borders: that one is for me.
Comment 2 Michael Stahl (CIB) 2012-05-23 14:36:55 UTC
can reproduce it in LO 3.5.4, OOo 3.4beta, OOo 3.3, OOo 3.0.1,
does not look like a regression
Comment 3 abdulmajeed 2013-03-02 10:49:04 UTC
can reproduce it in 4.0 Ubuntu 12.10 64 bit 
to make things more clear in RTL sheet you can't add borders to any merged cells 
and if you do you can't see it but if you moved LTR sheet you will be able to see it.
Comment 4 QA Administrators 2015-04-01 14:40:06 UTC Comment hidden (obsolete)
Comment 5 hussain 2015-04-01 18:58:19 UTC
Since the time i reported this bug i followed and tested with all Libreoffice releases hoping this bug gets fixed but unfortunately that didn't happen, now i use Ubuntu 15.04 and libreoffice Version: 4.4.1.2 is installed by default and the bug still present.
Comment 6 Omer Zak 2017-11-01 19:41:58 UTC
When trying to reproduce the bug in version 5.4.2:
There is no Format > Sheet
There is Sheet > Right-to-Left

When merging 3 empty cells (1st group of merged cells - E3:G3) and setting their borders as per instructions, the borders did not vanish.
Then I merged one cell with text with 2 empty cells (2nd group of merged cells D6:F6) and set their borders.
The second group's borders did not vanish, but the first group's borders vanished in RTL and reappeared in LTR.
Then I merged 3 other empty cells (3rd group of merged cells B20:D20). The borders were set as above without my explicitly setting them. The borders did not vanish in RTL, but the borders of 1st and 2nd groups vanished in RTL and reappeared in LTR.

Conclusion: it seems that borders are shown in RTL only for the most recently merged cells.

My system:
Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 7 Omer Zak 2017-11-01 19:46:02 UTC
Created attachment 137428 [details]
Comment 6: Bug Example after bug reproduction

Associated with https://bugs.documentfoundation.org/show_bug.cgi?id=34837#c6 (comment 6).
Comment 8 Ekansh Jha 2017-12-02 03:27:25 UTC
Please provide the code pointer to fix it.
Comment 9 Eyal Rozenberg 2018-09-17 16:38:26 UTC
Created attachment 144951 [details]
up-to-date example of bug manifestionation

Use this file to see the bug manifest with LO version 5.4.2 or later (or perhaps earlier...) - as per comment 6.

This updated file has instructions within it regarding how to actually see the bug manifest.
Comment 10 Eyal Rozenberg 2018-09-24 12:39:20 UTC
Bug still manifests with:

Version: 6.2.0.0.alpha0+
Build ID: d8860e492ea8a22804750eeb6dd80f0c009365c9
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-23_23:54:34
Locale: en-US (en_IL); Calc: threaded

Note that this bug does not seem to effected by the fix for bug 82177 (unlike the effect we see in bug 112285) - at least not with the example in the second attachment.
Comment 11 QA Administrators 2019-09-25 03:00:33 UTC Comment hidden (obsolete)
Comment 12 Eyal Rozenberg 2019-09-25 06:54:15 UTC
Bug still manifests with:

Version: 6.3.2.1
Build ID: 1:6.3.2~rc1-1
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: he-IL (en_IL); UI-Language: en-US
Calc: threaded
Comment 13 hussain 2019-09-26 13:12:42 UTC
The bug still present on Libreoffice 6.3.0.4